# Get details of a wallet

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/:wallet_ref?business_id={YOUR_VALUE}
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong>  <br><code>string</code><mark style="color:red;"><code>required</code></mark></td><td>Merchant Business ID</td></tr></tbody></table>

#### Path Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>wallet_ref</strong><br><code>string</code></td><td>Wallet reference</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/wallets/:wallet_ref ?business_id={YOUR_VALUE} \
--header 'Authorization: Bearer SECRET_KEY' \
--data-raw ''
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
 method: 'get',
 url: 'https://api.tryduplo.com/v1wallets/:wallet_ref?business_id={YOUR_VALUE}',
 headers: {
   'Authorization': 'Bearer SECRET_KEY'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1wallets/:wallet_ref?business_id={YOUR_VALUE}',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'GET',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {
       "wallet_ref": "wal_a73dY82334j",
       "created_at": "2021-08-08T11:08:31.000Z",
       "first_name": "Manny",
       "last_name": "Norte",
       "currency": "NGN",
       "status": "active",
       "available_balance": "0.00",
       "legder_balance": "0.00",
       "bank_accounts": [
           {
               "account_ref": "act_7h37dghuX",
               "account_number": "9977632775",
               "bank_code": "053",
               "created_at": "2021-08-08T11:08:31.000Z",
               "account_name": "MERCHANT(Manny Norte)",
               "bank_name": "Providus"
           }
       ]
   },
   "errors": {},
   "message": "Request successful"
}
```
